Name:		gambas
Summary:      	BASIC Compiler, IDE, and GUI Builder
Version:      	1.0.10
Release:      	1
Group:        	Development
License:      	GPL
URL:          	http://gambas.sourceforge.net/
Source0:      	%{name}-%{version}.tar.bz2
Source2:      	%{name}.desktop
Requires:	curl python MySQL
BuildRequires:	curl-devel python-devel MySQL-devel
BuildRoot:    	%{_tmppath}/%{name}-%{version}-build

%description
Gambas is still in development, but already usefull for smaller
projects. The IDE itself is written in Gambas-BASIC. The source can be
reviewed as an example application in the
/usr/share/doc/packages/gambas directory. Documentation is also in that
directory.

%prep
%setup -q

%build
%configure --disable-nls --without-included-gettext
make

%install
rm -rf ${RPM_BUILD_ROOT}
make DESTDIR=$RPM_BUILD_ROOT install
rm -rf $RPM_BUILD_ROOT/%{_libdir}/control/.xvpics
rm -rf $RPM_BUILD_ROOT/%{_datadir}/examples/ImageViewer/.project~
rm -rf $RPM_BUILD_ROOT/%{_datadir}/gambas/help/*.html~
rm -rf $RPM_BUILD_ROOT/%{_datadir}/doc/packages/gambas/examples/ImageViewer/.project~
rmdir $RPM_BUILD_ROOT/usr/include
mkdir -p $RPM_BUILD_ROOT/%{_datadir}/peanut/apps/Applications/Development/
cp %{SOURCE2} $RPM_BUILD_ROOT/%{_datadir}/peanut/apps/Applications/Development/

strip -R.comment -R.note $RPM_BUILD_ROOT/bin/* 2>/dev/null || :                                                                               
strip -R.comment -R.note $RPM_BUILD_ROOT/sbin/* 2>/dev/null || :                                                                              
strip -R.comment -R.note $RPM_BUILD_ROOT/lib/*.so 2>/dev/null || :                                                                            
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/bin/* 2>/dev/null || :                                                                           
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/sbin/* 2>/dev/null || :                                                                          
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/lib/*.so 2>/dev/null || :                                                                        
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/local/bin/* 2>/dev/null || :                                                                     
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/local/sbin/* 2>/dev/null || :                                                                    
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/local/lib/*.so 2>/dev/null || :                                                                  
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/X11R6/bin/* 2>/dev/null || :                                                                     
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/X11R6/lib/*.so 2>/dev/null || :  

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/*
